AbcdFunction Class Reference

Abcd functional form for instantaneous volatility More...

`#include <ql/termstructures/volatility/abcd.hpp>`

Inherits unary_function< Real, Real >.

## Public Member Functions

| AbcdFunction (Real a=-0.06, Real b=0.17, Real c=0.54, Real d=0.17)
Real | operator() (Time u) const
| volatility function value at time u: \[ f(u) \]
Real | maximumLocation () const
| time at which the volatility function reaches maximum (if any)
Real | maximumVolatility () const
| maximum value of the volatility function
Real | shortTermVolatility () const
| volatility function value at time 0: \[ f(0) \]
Real | longTermVolatility () const
| volatility function value at time +inf: \[ f(\inf) \]
Real | covariance (Time t, Time T, Time S) const
Real | covariance (Time t1, Time t2, Time T, Time S) const
Real | volatility (Time tMin, Time tMax, Time T) const
Real | variance (Time tMin, Time tMax, Time T) const
Real | instantaneousVolatility (Time t, Time T) const
Real | instantaneousVariance (Time t, Time T) const
Real | instantaneousCovariance (Time u, Time T, Time S) const
Real | primitive (Time t, Time T, Time S) const
Real | a () const
Real | b () const
Real | c () const
Real | d () const

## Detailed Description

Abcd functional form for instantaneous volatility

\[ f(T-t) = [ a + b(T-t) ] e^{-c(T-t)} + d \]

following Rebonato's notation.

## Member Function Documentation

Real covariance | ( | Time | t,
|  | Time | T,
|  | Time | S
| ) |  | const

instantaneous covariance function at time t between T-fixing and S-fixing rates

\[ f(T-t)f(S-t) \]

Real covariance | ( | Time | t1,
|  | Time | t2,
|  | Time | T,
|  | Time | S
| ) |  | const

integral of the instantaneous covariance function between time t1 and t2 for T-fixing and S-fixing rates

\[ \int_{t1}^{t2} f(T-t)f(S-t)dt \]

Real volatility | ( | Time | tMin,
|  | Time | tMax,
|  | Time | T
| ) |  | const

average volatility in [tMin,tMax] of T-fixing rate:

\[ \sqrt{ \frac{\int_{tMin}^{tMax} f^2(T-u)du}{tMax-tMin} } \]

Real variance | ( | Time | tMin,
|  | Time | tMax,
|  | Time | T
| ) |  | const

variance between tMin and tMax of T-fixing rate:

\[ \frac{\int_{tMin}^{tMax} f^2(T-u)du}{tMax-tMin} \]

Real instantaneousVolatility | ( | Time | t,
|  | Time | T
| ) |  | const

instantaneous volatility at time t of the T-fixing rate:

\[ f(T-t) \]

Real instantaneousVariance | ( | Time | t,
|  | Time | T
| ) |  | const

instantaneous variance at time t of T-fixing rate:

\[ f(T-t)f(T-t) \]

Real instantaneousCovariance | ( | Time | u,
|  | Time | T,
|  | Time | S
| ) |  | const

instantaneous covariance at time t between T and S fixing rates:

\[ f(T-u)f(S-u) \]

Real primitive | ( | Time | t,
|  | Time | T,
|  | Time | S
| ) |  | const

indefinite integral of the instantaneous covariance function at time t between T-fixing and S-fixing rates

\[ \int f(T-t)f(S-t)dt \]

Real a | ( |  | ) | const

Inspectors